package com.ruoyi.system.user.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.constant.DictType;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.yh.logImportDetail.domain.interfaces.ImportContent;
import lombok.Data;
import org.apache.poi.ss.usermodel.IndexedColors;

/**
 * @author wjh
 * 2025/3/11
 */
@Data
public class UserImportContentVO extends SysUser implements ImportContent {

    @Excel(
            name = "导入结果",
            dictType = DictType.LOG_IMPORT_DETAIL_TYPE,
            comboReadDict = true,
            backgroundColor = IndexedColors.YELLOW,
            headerBackgroundColor = IndexedColors.YELLOW,
            color = IndexedColors.RED,
            headerColor = IndexedColors.RED,
            sort = 0
    )
    private String importResult;

    @Excel(
            name = "导入信息",
            width = 30,
            backgroundColor = IndexedColors.YELLOW,
            headerBackgroundColor = IndexedColors.YELLOW,
            color = IndexedColors.RED,
            headerColor = IndexedColors.RED,
            sort = 1
    )
    private String importMessage;
}
