package com.ruoyi.yh.material.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 物料对象 bst_material
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Data
public class Material extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "ERP物料ID")
    @ApiModelProperty("ERP物料ID")
    private String erpId;

    @Excel(name = "ERP物料编码")
    @ApiModelProperty("ERP物料编码")
    private String erpNumber;

    @Excel(name = "ERP物料名称")
    @ApiModelProperty("ERP物料名称")
    private String erpName;

    @Excel(name = "ERP物料规格")
    @ApiModelProperty("ERP物料规格")
    private String erpSpec;

    @Excel(name = "车间列表，逗号分隔")
    @ApiModelProperty("车间列表，逗号分隔")
    private List<String> workShops;

    @Excel(name = "规格品类(单价类别)")
    @ApiModelProperty("规格品类(单价类别)")
    private String category;

    @Excel(name = "大小")
    @ApiModelProperty("大小")
    private String size;

    @Excel(name = "表面处理")
    @ApiModelProperty("表面处理")
    private String surface;

    @Excel(name = "盖子方式")
    @ApiModelProperty("盖子方式")
    private String cover;

    @Excel(name = "图案")
    @ApiModelProperty("图案")
    private String graphics;
}
