package com.ruoyi.yh.price.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class PriceVerifyPriceDTO {

    @ApiModelProperty("单价ID")
    @NotNull(message = "单价ID不允许为空")
    private Long priceId;

    @ApiModelProperty("单价")
    @Min(value = 0, message = "单价不允许小于0")
    private BigDecimal price;

}
