package com.ruoyi.yh.prodOrder.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 同步生产订单的查询参数
 * @author wjh
 * 2024/11/20
 */
@Data
public class ProdOrderSyncQuery {

    @ApiModelProperty("业务状态列表")
    private List<String> statusList;

    @ApiModelProperty("ERP生产订单ID")
    private String id;
}
