package com.ruoyi.yh.prodOrder.service;

import com.alibaba.fastjson2.JSONArray;
import com.ruoyi.yh.prodOrder.domain.ProdOrder;

import java.util.List;

/**
 * @author wjh
 * 2024/10/30
 */
public interface ProdOrderConverter {

    /**
     * 将ERP数据转为PO列表
     * @param headers 表头列表
     * @param erpList ERP数据列表
     */
    List<ProdOrder> toPoByErpList(List<String> headers, List<JSONArray> erpList);
}
