package com.ruoyi.yh.reportUserProd.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author wjh
 * 2024/12/5
 */
@Data
public class ReportUserProdGroupByYearMonthVO {

    @ApiModelProperty("年份")
    private Integer year;

    @ApiModelProperty("月份")
    private Integer month;

    @ApiModelProperty("年月")
    private String yearMonth;

    @ApiModelProperty("用户ID")
    private Long userId;

    @ApiModelProperty("已审核金额")
    private BigDecimal verified;

    @ApiModelProperty("审核中金额")
    private BigDecimal verifying;

    @ApiModelProperty("明细")
    private List<ReportUserProdGroupByDateVO> children;

}
