package com.ruoyi.yh.price.domain;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.poi.ss.usermodel.IndexedColors;

/**
 * @author wjh
 * 2024/10/17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PriceVO extends Price {

    @Excel(name = "部门名称", prompt = "必填", headerColor = IndexedColors.RED)
    @ApiModelProperty("部门名称")
    private String deptName;


}
