package com.ruoyi.yh.prodOrder.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author wjh
 * 2024/10/29
 */
@Data
public class ProdOrderQuery extends ProdOrderVO {

    @ApiModelProperty("精准查询单据编号")
    private String eqErpBillNo;

    @ApiModelProperty("精准ERP ID")
    private String eqErpId;

    @ApiModelProperty("精准ERP明细ID")
    private String eqErpRowId;

    @ApiModelProperty("订单ID列表")
    private List<Long> ids;

    @ApiModelProperty("ERP业务状态列表")
    private List<String> erpStatusList;

    @ApiModelProperty("排除的ID列表")
    private List<Long> excludeIds;

    @ApiModelProperty("用户部门ID")
    private Long userDeptId;

    @ApiModelProperty("关键词")
    private String keyword;

}
