package com.ruoyi.yh.report.service;

import com.ruoyi.yh.report.domain.ReportVO;

import java.util.List;

/**
 * @author wjh
 * 2024/10/31
 */
public interface ReportAssembler {

    /**
     * 拼接产量数据
     *
     * @param list              待拼接列表
     * @param assembleUserProd  是否拼接员工产量
     * @param assembleOrderProd
     */
    void assembleProductList(List<ReportVO> list, boolean assembleUserProd, boolean assembleOrderProd);

    /**
     * 拼接产量数量
     *
     * @param list 待拼接列表
     */
    void assembleProductCount(List<ReportVO> list);

}
