package com.ruoyi.yh.report.service;

import com.ruoyi.yh.report.domain.ReportVO;
import com.ruoyi.yh.report.domain.bo.ReportBO;

/**
 * @author wjh
 * 2024/10/31
 */
public interface ReportConverter {

    /**
     * 创建时，vo转为bo
     *
     * @param vo
     * @param submit
     * @return
     */
    ReportBO toBoByCreate(ReportVO vo, boolean submit);

    /**
     * 更新时，VO 转 BO
     */
    ReportBO toBoByUpdate(ReportVO vo, boolean submit);
}
