package com.ruoyi.yh.reportOrderProd.service.impl;

import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProdVO;
import com.ruoyi.yh.reportOrderProd.domain.bo.ReportOrderProdBO;
import com.ruoyi.yh.reportOrderProd.service.ReportOrderProdConverter;
import org.springframework.stereotype.Service;

/**
 * @author wjh
 * 2024/11/19
 */
@Service
public class ReportOrderProdConverterImpl implements ReportOrderProdConverter {
    @Override
    public ReportOrderProdBO toBoByCreate(ReportOrderProdVO vo) {
        if (vo == null) {
            return null;
        }
        ReportOrderProdBO bo = new ReportOrderProdBO();
        bo.setOrderId(vo.getOrderId());
        bo.setNum(vo.getNum());
        return bo;
    }

    @Override
    public ReportOrderProdBO toBoByUpdate(ReportOrderProdVO vo) {
        if (vo == null) {
            return null;
        }
        ReportOrderProdBO bo = new ReportOrderProdBO();
        bo.setId(vo.getId());
        bo.setOrderId(vo.getOrderId());
        bo.setNum(vo.getNum());
        return bo;
    }
}
