package com.ruoyi.yh.unit.domain.vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.constant.DictType;
import com.ruoyi.yh.logImportDetail.domain.interfaces.ImportContent;
import com.ruoyi.yh.unit.domain.Unit;
import lombok.Data;
import org.apache.poi.ss.usermodel.IndexedColors;

/**
 * @author wjh
 * 2024/12/13
 */
@Data
public class UnitImportContentVO extends Unit implements ImportContent {

    @Excel(
            name = "导入结果",
            dictType = DictType.LOG_IMPORT_DETAIL_TYPE,
            comboReadDict = true,
            backgroundColor = IndexedColors.YELLOW,
            headerBackgroundColor = IndexedColors.YELLOW,
            color = IndexedColors.RED,
            headerColor = IndexedColors.RED,
            sort = 0
    )
    private String importResult;

    @Excel(
            name = "导入信息",
            width = 30,
            backgroundColor = IndexedColors.YELLOW,
            headerBackgroundColor = IndexedColors.YELLOW,
            color = IndexedColors.RED,
            headerColor = IndexedColors.RED,
            sort = 1
    )
    private String importMessage;
}
