package com.ruoyi.task.prodOrder;

import com.ruoyi.common.constant.Constants;
import com.ruoyi.yh.prodOrder.domain.dto.ProdOrderSyncQuery;
import com.ruoyi.yh.prodOrder.domain.enums.ProdOrderErpStatus;
import com.ruoyi.yh.prodOrder.service.ProdOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author wjh
 * 2024/11/21
 */
@Component
public class ProdOrderTask {

    @Autowired
    private ProdOrderService prodOrderService;

    /**
     * 同步生产订单
     */
    public void sync() {
        ProdOrderSyncQuery query = new ProdOrderSyncQuery();
        query.setStatusList(ProdOrderErpStatus.canSync());
        prodOrderService.sync(query, Constants.SYSTEM_USER_ID);
    }

}
