package com.ruoyi.web.dashboard;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dashboard.report.service.ReportProdDashboardService;
import com.ruoyi.yh.reportProd.domain.ReportProdQuery;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/dashboard/reportProd")
public class DashboardReportProdController extends BaseController {

    @Autowired
    private ReportProdDashboardService reportProdDashboardService;

    @ApiOperation("产品报表统计")
    @GetMapping("/sum")
    public AjaxResult sum(ReportProdQuery query) {
        return AjaxResult.success(reportProdDashboardService.selectSum(query));
    }
}
