package com.ruoyi.web.dashboard;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dashboard.report.service.ReportUserProdDashboardService;
import com.ruoyi.yh.reportUserProd.domain.ReportUserProdQuery;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/dashboard/reportUserProd")
public class DashboardReportUserProdController extends BaseController {

    @Autowired
    private ReportUserProdDashboardService reportUserProdDashboardService;

    @ApiOperation("用户产品报表统计")
    @GetMapping("/sum")
    public AjaxResult sum(ReportUserProdQuery query) {
        return AjaxResult.success(reportUserProdDashboardService.selectSum(query));
    }
}
